/*
 * #%L
 * *********************************************************************************************************************
 * 
 * These Foolish Things - Miscellaneous utilities
 * http://thesefoolishthings.java.net - hg clone https://bitbucket.org/tidalwave/thesefoolishthings-src
 * %%
 * Copyright (C) 2009 - 2013 Tidalwave s.a.s. (http://tidalwave.it)
 * %%
 * *********************************************************************************************************************
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 * 
 * *********************************************************************************************************************
 * 
 * $Id: CommaSeparatedListConverterTest.java,v e7e97a14be7c 2013/02/16 19:44:07 fabrizio $
 * 
 * *********************************************************************************************************************
 * #L%
 */
package it.tidalwave.swing.beansbinding.converter;

import java.util.Arrays;
import java.util.Collections;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.Test;
import org.testng.annotations.BeforeMethod;
import org.testng.AssertJUnit;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: CommaSeparatedListConverterTest.java,v e7e97a14be7c 2013/02/16 19:44:07 fabrizio $
 *
 ******************************************************************************/
public class CommaSeparatedListConverterTest
  {
    private CommaSeparatedListConverter converter;

    @BeforeMethod
    public void setUp()
      {
        converter = new CommaSeparatedListConverter();
      }

    @AfterMethod
    public void tearDown()
      {
        converter = null;
      }

    @Test
    public void convertForward1()
      {
        AssertJUnit.assertEquals("one", converter.convertForward(Arrays.asList("one")));
      }

    @Test
    public void convertForward2()
      {
        AssertJUnit.assertEquals("one, two", converter.convertForward(Arrays.asList("one", "two")));
      }

    @Test
    public void convertForwardNull()
      {
        AssertJUnit.assertEquals(null, converter.convertForward(null));
      }

    @Test
    public void convertForwardEmpty()
      {
        AssertJUnit.assertEquals("", converter.convertForward(Collections.<String>emptyList()));
      }

    @Test
    public void convertReverse1()
      {
        AssertJUnit.assertEquals(Arrays.asList("one"), converter.convertReverse("one"));
      }

    @Test
    public void convertReverse2()
      {
        AssertJUnit.assertEquals(Arrays.asList("one", "two"), converter.convertReverse("one, two"));
      }

    @Test
    public void convertReverseNull()
      {
        AssertJUnit.assertEquals(null, converter.convertReverse(null));
      }

    @Test
    public void convertReverseEmpty()
      {
        AssertJUnit.assertEquals(Collections.<String>emptyList(), converter.convertReverse(""));
      }
  }
